# Module MergeRequestsHelper

- app/helpers/merge_requests_helper.rb

Methods

C
  - ci_build_details_path
M
  - mr_css_classes
N
  - new_mr_path_from_push_event

Instance Public methods
ci_build_details_path(merge_request) Link

Source: show

    # File app/helpers/merge_requests_helper.rb, line 20
    def ci_build_details_path merge_request
      merge_request.project.gitlab_ci_service.build_page(merge_request.last_commit.sha)
    end

mr_css_classes(mr) Link

Source: show

    # File app/helpers/merge_requests_helper.rb, line 13
    def mr_css_classes mr
      classes = "merge_request"
      classes << " closed" if mr.closed
      classes << " merged" if mr.merged?
      classes
    end

new_mr_path_from_push_event(event) Link

Source: show

    # File app/helpers/merge_requests_helper.rb, line 2
    def new_mr_path_from_push_event(event)
      new_project_merge_request_path(
        event.project,
        merge_request: {
          source_branch: event.branch_name,
          target_branch: event.project.root_ref,
          title: event.branch_name.titleize
        }
      )
    end